/**
 * Extend the basic ActorSheet with some very simple modifications
 * @extends {ActorSheet}
 */

import { WastelandUtility } from "./wasteland-utility.js";
import { WastelandActorSheet } from "./wasteland-actor-sheet.js";

/* -------------------------------------------- */
export class WastelandCreatureSheet extends WastelandActorSheet {

  /** @override */
  static get defaultOptions() {

    return mergeObject(super.defaultOptions, {
      classes: ["fvtt-wasteland", "sheet", "creature"],
      template: "systems/fvtt-wasteland/templates/creature-sheet.html",
      width: 640,
      height: 720,
      tabs: [{ navSelector: ".sheet-tabs", contentSelector: ".sheet-body", initial: "stats" }],
      dragDrop: [{ dragSelector: ".item-list .item", dropSelector: null }],
      editScore: false
    });
  }
 
}
